# The Fenius programming language

Fenius (formerly Hel) is an extensible programming language combining
Lisp-style macros with a more conventional syntax.

The file [example.fen](https://elmord.org/cgit/fenius.git/tree/example.fen) contains some example code.

Fenius is still in initial stages of development.

For more information, see [my blog](https://elmord.org/blog/?tag=fenius).

## Running

You will need Chez Scheme. On Debian Testing, you can install it with:

```
sudo apt-get install chezscheme9.5
```

Then you can run:

- To get an interactive prompt: `chezscheme9.5 --script fenius.scm -i`
- To run a Fenius script: `chezscheme9.5 --script fenius.scm file.fen`

## License

Copyright © 2019 Vítor Bujés Ubatuba De Araújo

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program. If not, see
<http://www.gnu.org/licenses/>.
