#!/bin/bash
set -e

SUBDIR="fenius-amd64"

cd "$(dirname "$0")/../src"
compile-chez-program fenius.scm -lz
cd ..
mkdir -p "dist/$SUBDIR"
cp src/fenius "dist/$SUBDIR"
cp /usr/share/doc/chezscheme9.5/copyright "dist/$SUBDIR/NOTICE.CHEZ"
cp LICENSE.GPLv3 "dist/$SUBDIR"
cp -R examples "dist/$SUBDIR/"
cd dist
#rm "$SUBDIR.zip"
#zip -9r "$SUBDIR.zip" "$SUBDIR"
tar -cvpz "$SUBDIR" -f "$SUBDIR.tar.gz"
